export declare class _PdfGlyphTable {
    glyphs: _PdfGlyph[];
    constructor({ glyfTable, isGlyphLocationsLong, locaTable, numGlyphs }: {
        glyfTable: DataView;
        isGlyphLocationsLong: boolean;
        locaTable: DataView;
        numGlyphs: number;
    });
    _getSize(): number;
    _write(): {
        isLocationLong: boolean;
        loca: Uint8Array;
        data: Uint8Array;
    };
    scale(factors: number[]): void;
}
export declare class _PdfGlyph {
    header: _GlyphHeader | null;
    simple: _SimpleGlyph | null;
    composites: _CompositeGlyph[] | null;
    constructor();
    constructor({ header, simple, composites }: {
        header?: _GlyphHeader | null;
        simple?: _SimpleGlyph | null;
        composites?: _CompositeGlyph[] | null;
    });
    parse(pos: number, data: any): _PdfGlyph;
    _getSize(): number;
    _write(pos: number, buffer: any): number;
    _scale(factor: number): void;
}
export declare class _GlyphHeader {
    numberOfContours: number;
    xMin: number;
    yMin: number;
    xMax: number;
    yMax: number;
    constructor();
    constructor({ numberOfContours, xMin, yMin, xMax, yMax }: {
        numberOfContours: number;
        xMin: number;
        yMin: number;
        xMax: number;
        yMax: number;
    });
    parse(pos: number, data: DataView): [number, _GlyphHeader];
    getSize(): number;
    write(pos: number, buffer: any): number;
    scale(x: number, factor: number): void;
}
export declare class _Contour {
    xCoordinates: number[];
    yCoordinates: number[];
    flags: number[];
    constructor({ flags, xCoordinates, yCoordinates }: {
        flags: number[];
        xCoordinates: number[];
        yCoordinates: number[];
    });
}
export declare class _SimpleGlyph {
    contours: _Contour[];
    instructions: Uint8Array;
    constructor();
    constructor({ contours, instructions }: {
        contours: _Contour[];
        instructions: Uint8Array;
    });
    parse(pos: number, data: DataView, numberOfContours: number): _SimpleGlyph;
    getSize(): number;
    write(pos: number, buffer: DataView): number;
    scale(x: number, factor: number): void;
}
export declare class _CompositeGlyph {
    flags: number;
    glyphIndex: number;
    argument1: number;
    argument2: number;
    transform: number[];
    instructions: Uint8Array | null;
    constructor();
    constructor({ flags, glyphIndex, argument1, argument2, transform, instructions }: {
        flags: number;
        glyphIndex: number;
        argument1: number;
        argument2: number;
        transform: number[];
        instructions: Uint8Array | null;
    });
    parse(pos: number, data: DataView): [number, _CompositeGlyph];
    getSize(): number;
    write(pos: number, buffer: DataView): number;
}
